/* SCALING MACROS 

Vmin = -DYNRANGE/2*vrange
Vmax =  DYNRANGE/2*vrange

The x2 makes the conversion formula
(since value will be +/- DYNRANGE/2)

V = ivalue/DYNRANGE*vrange 
ivalue = V/vrange*DYNRANGE

we'll assume that it is the USER'S responsibility to
make sure that output values are within range
*/


extern int16 channel_gain ;

#define DYNRANGE_12BIT 0x0FFF
extern const float vrange[8] ;

#define IVAL_2_VOLTAGE(ival) ( (ival*vrange[channel_gain]/DYNRANGE_12BIT) ) ;
#define VOLTAGE_2_IVAL(v) (( (int) (v*DYNRANGE_12BIT/vrange[channel_gain]) )) ;

